const assert = require('assert');
const crc16 = require('./crc16');

var check_1 = crc16(new Uint8Array([
	0x11, 0x01, 0x03, 0x53, 0x54, 0x90, 0x90, 0x00, 0x43, 0x17, 0x70, 0x03, 0x32, 0x01, 0x00, 0x3b,
]));

var check_2 = crc16(new Uint8Array([
	0x00, 0x12, 0x66, 0xAC, 0xFF, 0xFF, 0x00, 0x00, 0x43, 0x14, 0x74, 0x43, 0xC2, 0xE1, 0x11, 0xEE,
]));

var check_3 = crc16(new Uint8Array([
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
]));

var check_4 = crc16(new Uint8Array([
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF
]));

try {
	assert.equal(check_1.toString(16), '4d52', 'check_1');
	assert.equal(check_2.toString(16), '4d6d', 'check_2');
	assert.equal(check_3.toString(16), 'afa9', 'check_3');
	assert.equal(check_4.toString(16), '2da9', 'check_4');

	console.log('All is OK!');
} catch (ex) {
	console.log('Err: ' + ex.message);
}
